%calculates the moments m0 and m2 for the three sea states

Tp = [5.3,5.9,6.6]; 
gam = 3.3;
A = (1-0.287*log(gam));
Hs = [1.6,2.2,2.8];

dom = 0.005;        %frequency step
om = 0.4:dom:12;    %relevant frequency range
T = (2*pi)./om;
n = length(om);
%S_om = zeros(n,1);

A_n = zeros(n,1);

%legendinfo = zeros(3,1);
%figure 
om_p=2*pi./Tp;

for i = 1:3
    
%===============Spectrum calculations===============%    
siga = 0.07;
sigb = 0.09;

fun1 = @(x) (A.*(5/16).*Hs(i).^2.*om_p(i).^4.*(x).^(-5).*...
    exp(-(5/4).*((x/om_p(i)).^-4)).*gam.^(exp(-0.5.*(((x-om_p(i))/(siga*om_p(i))).^2))));

q1(i) = integral(fun1,0,om_p(i));

fun2 = @(x) (A.*(5/16).*Hs(i).^2.*om_p(i).^4.*(x).^(-5).*...
    exp(-(5/4).*(x/om_p(i)).^-4).*gam.^(exp(-0.5.*((x-om_p(i))/(sigb*om_p(i))).^2)));
q2(i) = integral(fun2,om_p(i),inf);

m0(i) = q1(i)+q2(i)


fun3 = @(x) (x.^2).*(A.*(5/16).*Hs(i).^2.*om_p(i).^4.*(x).^(-5).*...
    exp(-(5/4).*(x/om_p(i)).^-4).*gam.^(exp(-0.5.*((x-om_p(i))/(siga*om_p(i))).^2)));

q3(i) = integral(fun3,0,om_p(i));

fun4 = @(x) (x.^2).*(A.*(5/16).*Hs(i).^2.*om_p(i).^4.*(x).^(-5).*...
    exp(-(5/4).*(x/om_p(i)).^-4).*gam.^(exp(-0.5.*((x-om_p(i))/(sigb*om_p(i))).^2)));
q4(i) = integral(fun4,om_p(i),inf);

m2(i) = q3(i)+q4(i)

end


%===============Surface elevation===============%



